Bug 1210705 (CVE-2015-3010) - CVE-2015-3010 ceph-deploy: keyring permissions are world readable in ~ceph
Summary: CVE-2015-3010 ceph-deploy: keyring permissions are world readable in ~ceph
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-3010
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1210706 1211756 1225209
Blocks: 1210708
TreeView+ depends on / blocked
 
Reported: 2015-04-10 11:59 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:31 UTC (History)
10 users (show)

Fixed In Version: ceph-deploy 1.5.23
Doc Type: Bug Fix
Doc Text:
It was discovered that ceph-deploy, a utility for deploying Red Hat Ceph Storage, would create the keyring file with world readable permissions, which could possibly allow a local user to obtain authentication credentials from the keyring file.
Clone Of:
Environment:
Last Closed: 2015-10-29 20:48:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1092 normal SHIPPED_LIVE Moderate: ceph-deploy security update 2015-06-11 19:54:25 UTC
Red Hat Product Errata RHSA-2015:1579 normal SHIPPED_LIVE Moderate: ceph-deploy security update 2016-02-03 01:46:19 UTC
Red Hat Product Errata RHSA-2015:1631 normal SHIPPED_LIVE Moderate: ceph-deploy security update 2016-02-03 02:39:36 UTC

Description Vasyl Kaigorodov 2015-04-10 11:59:26 UTC
ceph-deply versions before 1.5.23 had an issue where keyring permissions were world readable.

CVE assigned: http://seclists.org/oss-sec/2015/q2/91
Upstream fix: https://github.com/ceph/ceph-deploy/commit/eee56770393bf19ed2dd5389226c6190c08dee3f

Comment 1 Vasyl Kaigorodov 2015-04-10 12:00:19 UTC
Created ceph-deploy tracking bugs for this issue:

Affects: fedora-all [bug 1210706]

Comment 5 Siddharth Sharma 2015-04-21 14:24:34 UTC
Analysis
========

In the following code of ceph-deploy

keyring = '/etc/ceph/{cluster}.client.admin.keyring'.format(
        cluster=args.cluster)
    r = fetch_file(
        args=args,
        frompath=keyring,
        topath='{cluster}.client.admin.keyring'.format(
            cluster=args.cluster),
        _hosts=args.mon,
 )

It copies the keys without forcing the file permissions which by default leads to 777 which makes it world readable while copying it to all nodes or monitors

Comment 6 Fedora Update System 2015-04-21 19:23:54 UTC
ceph-deploy-1.5.23-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-04-21 19:29:23 UTC
ceph-deploy-1.5.23-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2015-06-11 15:54:40 UTC
This issue has been addressed in the following products:

  Red Hat Ceph Storage 1.2 for RHEL 7
  Red Hat Ceph Storage 1.2 for RHEL 6

Via RHSA-2015:1092 https://access.redhat.com/errata/RHSA-2015:1092

Comment 13 errata-xmlrpc 2015-08-07 00:58:13 UTC
This issue has been addressed in the following products:

Red Hat Ceph Storage 1.2 for Ubuntu 12.04
Red Hat Ceph Storage 1.2 for Ubuntu 14.04

Via RHSA-2015:1579 https://access.redhat.com/errata/RHSA-2015:1579

Comment 14 errata-xmlrpc 2015-08-17 07:30:05 UTC
This issue has been addressed in the following products:
 
 Red Hat Ceph Storage 1.2 for CentOS 6

Via RHSA-2015:1631 https://access.redhat.com/errata/RHSA-2015:1631


Note You need to log in before you can comment on or make changes to this bug.